<?php

$home_automation_custom_css = '';

	/*---------------------------Copyright Text alignment-------------------*/

$home_automation_copyright_text_alignment = get_theme_mod( 'home_automation_copyright_text_alignment','LEFT-ALIGN');

 if($home_automation_copyright_text_alignment == 'LEFT-ALIGN'){

		$home_automation_custom_css .='.copy-text p{';

			$home_automation_custom_css .='text-align:left;';

		$home_automation_custom_css .='}';


	}else if($home_automation_copyright_text_alignment == 'CENTER-ALIGN'){

		$home_automation_custom_css .='.copy-text p{';

			$home_automation_custom_css .='text-align:center;';

		$home_automation_custom_css .='}';


	}else if($home_automation_copyright_text_alignment == 'RIGHT-ALIGN'){

		$home_automation_custom_css .='.copy-text p{';

			$home_automation_custom_css .='text-align:right;';

		$home_automation_custom_css .='}';

	}

  /*---------------------------Slider-content-alignment-------------------*/

$home_automation_slider_content_alignment = get_theme_mod( 'home_automation_slider_content_alignment','LEFT-ALIGN');

 if($home_automation_slider_content_alignment == 'LEFT-ALIGN'){

		$home_automation_custom_css .='.blog_box{';

			$home_automation_custom_css .='text-align:left;';

		$home_automation_custom_css .='}';


	}else if($home_automation_slider_content_alignment == 'CENTER-ALIGN'){

		$home_automation_custom_css .='.blog_box{';

			$home_automation_custom_css .='text-align:center; right:30%; left:30%;';

		$home_automation_custom_css .='}';


	}else if($home_automation_slider_content_alignment == 'RIGHT-ALIGN'){

		$home_automation_custom_css .='.blog_box{';

			$home_automation_custom_css .='text-align:right; right:20%; left:50%;';

		$home_automation_custom_css .='}';

	}

  /*---------------------------related Product Settings-------------------*/


$home_automation_related_product_setting = get_theme_mod('home_automation_related_product_setting',true);

	if($home_automation_related_product_setting == false){

		$home_automation_custom_css .='.related.products, .related h2{';

			$home_automation_custom_css .='display: none;';

		$home_automation_custom_css .='}';
	}


		/*---------------------------Scroll to Top Alignment Settings-------------------*/

	$home_automation_scroll_top_position = get_theme_mod( 'home_automation_scroll_top_position','Right');

	if($home_automation_scroll_top_position == 'Right'){

		$home_automation_custom_css .='.scroll-up{';

			$home_automation_custom_css .='right: 20px;';

		$home_automation_custom_css .='}';

	}else if($home_automation_scroll_top_position == 'Left'){

		$home_automation_custom_css .='.scroll-up{';

			$home_automation_custom_css .='left: 20px;';

		$home_automation_custom_css .='}';

	}else if($home_automation_scroll_top_position == 'Center'){

		$home_automation_custom_css .='.scroll-up{';

			$home_automation_custom_css .='right: 50%;left: 50%;';

		$home_automation_custom_css .='}';
	}

		/*---------------------------Pagination Settings-------------------*/


$home_automation_pagination_setting = get_theme_mod('home_automation_pagination_setting',true);

	if($home_automation_pagination_setting == false){

		$home_automation_custom_css .='.nav-links{';

			$home_automation_custom_css .='display: none;';

		$home_automation_custom_css .='}';
	}

/*---------------------------text-transform-------------------*/

	$home_automation_text_transform = get_theme_mod( 'menu_text_transform_home_automation','CAPITALISE');
    if($home_automation_text_transform == 'CAPITALISE'){

		$home_automation_custom_css .='#main-menu ul li a{';

			$home_automation_custom_css .='text-transform: capitalize ; font-size: 14px;';

		$home_automation_custom_css .='}';

	}else if($home_automation_text_transform == 'UPPERCASE'){

		$home_automation_custom_css .='#main-menu ul li a{';

			$home_automation_custom_css .='text-transform: uppercase ; font-size: 14px;';

		$home_automation_custom_css .='}';

	}else if($home_automation_text_transform == 'LOWERCASE'){

		$home_automation_custom_css .='#main-menu ul li a{';

			$home_automation_custom_css .='text-transform: lowercase ; font-size: 14px;';

		$home_automation_custom_css .='}';
	}

		/*---------------------------menu-zoom-------------------*/

		$home_automation_menu_zoom = get_theme_mod( 'home_automation_menu_zoom','None');

    if($home_automation_menu_zoom == 'None'){

		$home_automation_custom_css .='#main-menu ul li a{';

			$home_automation_custom_css .='';

		$home_automation_custom_css .='}';

	}else if($home_automation_menu_zoom == 'Zoominn'){

		$home_automation_custom_css .='#main-menu ul li a:hover{';

			$home_automation_custom_css .='transition: all 0.3s ease-in-out !important; transform: scale(1.2) !important; color: var(--first-color);';

		$home_automation_custom_css .='}';
	}


	
	/*---------------------------Container Width-------------------*/

	$home_automation_container_width = get_theme_mod('home_automation_container_width');

			$home_automation_custom_css .='body,.page-template-frontpage #site-navigationn{';

				$home_automation_custom_css .='width: '.esc_attr($home_automation_container_width).'%; margin: auto;';

			$home_automation_custom_css .='}';

		/*--------------------------- Slider Opacity -------------------*/

	$home_automation_slider_opacity_color = get_theme_mod( 'home_automation_slider_opacity_color','0.5');

	if($home_automation_slider_opacity_color == '0'){

		$home_automation_custom_css .='.blog_inner_box img{';

			$home_automation_custom_css .='opacity:0';

		$home_automation_custom_css .='}';

		}else if($home_automation_slider_opacity_color == '0.1'){

		$home_automation_custom_css .='.blog_inner_box img{';

			$home_automation_custom_css .='opacity:0.1';

		$home_automation_custom_css .='}';

		}else if($home_automation_slider_opacity_color == '0.2'){

		$home_automation_custom_css .='.blog_inner_box img{';

			$home_automation_custom_css .='opacity:0.2';

		$home_automation_custom_css .='}';

		}else if($home_automation_slider_opacity_color == '0.3'){

		$home_automation_custom_css .='.blog_inner_box img{';

			$home_automation_custom_css .='opacity:0.3';

		$home_automation_custom_css .='}';

		}else if($home_automation_slider_opacity_color == '0.4'){

		$home_automation_custom_css .='.blog_inner_box img{';

			$home_automation_custom_css .='opacity:0.4';

		$home_automation_custom_css .='}';

		}else if($home_automation_slider_opacity_color == '0.5'){

		$home_automation_custom_css .='.blog_inner_box img{';

			$home_automation_custom_css .='opacity:0.5';

		$home_automation_custom_css .='}';

		}else if($home_automation_slider_opacity_color == '0.6'){

		$home_automation_custom_css .='.blog_inner_box img{';

			$home_automation_custom_css .='opacity:0.6';

		$home_automation_custom_css .='}';

		}else if($home_automation_slider_opacity_color == '0.7'){

		$home_automation_custom_css .='.blog_inner_box img{';

			$home_automation_custom_css .='opacity:0.7';

		$home_automation_custom_css .='}';

		}else if($home_automation_slider_opacity_color == '0.8'){

		$home_automation_custom_css .='.blog_inner_box img{';

			$home_automation_custom_css .='opacity:0.8';

		$home_automation_custom_css .='}';

		}else if($home_automation_slider_opacity_color == '0.9'){

		$home_automation_custom_css .='.blog_inner_box img{';

			$home_automation_custom_css .='opacity:0.9';

		$home_automation_custom_css .='}';

		}else if($home_automation_slider_opacity_color == 'unset'){

		$home_automation_custom_css .='.blog_inner_box img{';

			$home_automation_custom_css .='opacity:unset';

		$home_automation_custom_css .='}';

		}

	/*---------------------------woocommerce pagination alignment settings-------------------*/

	$home_automation_woocommerce_pagination_position = get_theme_mod( 'home_automation_woocommerce_pagination_position','Center');

	if($home_automation_woocommerce_pagination_position == 'Left'){

		$home_automation_custom_css .='.woocommerce nav.woocommerce-pagination{';

			$home_automation_custom_css .='text-align: left;';

		$home_automation_custom_css .='}';

	}else if($home_automation_woocommerce_pagination_position == 'Center'){

		$home_automation_custom_css .='.woocommerce nav.woocommerce-pagination{';

			$home_automation_custom_css .='text-align: center;';

		$home_automation_custom_css .='}';

	}else if($home_automation_woocommerce_pagination_position == 'Right'){

		$home_automation_custom_css .='.woocommerce nav.woocommerce-pagination{';

			$home_automation_custom_css .='text-align: right;';

		$home_automation_custom_css .='}';
	}

/*---------------------------Global Color-------------------*/

$home_automation_first_color = get_theme_mod('home_automation_first_color');
$home_automation_second_color = get_theme_mod('home_automation_second_color');

/*--- First Global Color ---*/

if ($home_automation_first_color) {
  $home_automation_custom_css .= ':root {';
  $home_automation_custom_css .= '--first-color: ' . esc_attr($home_automation_first_color) . ' !important;';
  $home_automation_custom_css .= '} ';
}

/*--- Second Global Color ---*/

if ($home_automation_second_color) {
  $home_automation_custom_css .= ':root {';
  $home_automation_custom_css .= '--second-color: ' . esc_attr($home_automation_second_color) . ' !important;';
  $home_automation_custom_css .= '} ';
}
